package com.hotent.uc.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author: Cola
 * @Date: 2021/08/16/18:27
 * @Description: 拦截URI白名单实体类
 **/
@TableName("uc_uri_permission")
@ApiModel(description="拦截URI白名单实体类")
public class UriEntity extends UcBaseModel<UriEntity>{
    @TableId("ID_")
    @ApiModelProperty(name="id",notes="id")
    private String ID_;

    @TableField("UPDATE_TIME_")
    @ApiModelProperty(name="UPDATE_TIME_",notes="更新时间")
    private Date UPDATE_TIME_;

    @TableField("TENANT_Id")
    @ApiModelProperty(name="TENANT_Id",notes="租户ID")
    private String TENANT_Id;

    @TableField("STATUS_")
    @ApiModelProperty(name="STATUS_",notes="状态，0正常，1禁用")
    private String STATUS_;

    @TableField("IS_DELE_")
    @ApiModelProperty(name="IS_DELE_",notes="逻辑删除标记，0正常，1已删除")
    private String IS_DELE_="0";

    @TableField("CREATED_BY")
    @ApiModelProperty(name="CREATED_BY",notes="创建人")
    private String CREATED_BY;

    @TableField("CREATE_TIME_")
    @ApiModelProperty(name="CREATE_TIME_",notes="创建日期")
    private Date CREATE_TIME_;

    @TableField("URI")
    @ApiModelProperty(name="URI",notes="URI路径")
    private String URI;

    public String getID_() {
        return ID_;
    }

    public void setID_(String ID_) {
        this.ID_ = ID_;
    }

    public Date getUPDATE_TIME_() {
        return UPDATE_TIME_;
    }

    public void setUPDATE_TIME_(Date UPDATE_TIME_) {
        this.UPDATE_TIME_ = UPDATE_TIME_;
    }

    public String getTENANT_Id() {
        return TENANT_Id;
    }

    public void setTENANT_Id(String TENANT_Id) {
        this.TENANT_Id = TENANT_Id;
    }

    public String getSTATUS_() {
        return STATUS_;
    }

    public void setSTATUS_(String STATUS_) {
        this.STATUS_ = STATUS_;
    }

    public String getIS_DELE_() {
        return IS_DELE_;
    }

    public void setIS_DELE_(String IS_DELE_) {
        this.IS_DELE_ = IS_DELE_;
    }

    public String getCREATED_BY() {
        return CREATED_BY;
    }

    public void setCREATED_BY(String CREATED_BY) {
        this.CREATED_BY = CREATED_BY;
    }

    public Date getCREATE_TIME_() {
        return CREATE_TIME_;
    }

    public void setCREATE_TIME_(Date CREATE_TIME_) {
        this.CREATE_TIME_ = CREATE_TIME_;
    }

    public String getURI() {
        return URI;
    }

    public void setURI(String URI) {
        this.URI = URI;
    }

    @Override
    public String toString() {
        return "UriEntity{" +
                "ID_='" + ID_ + '\'' +
                ", UPDATE_TIME_=" + UPDATE_TIME_ +
                ", TENANT_Id='" + TENANT_Id + '\'' +
                ", STATUS_='" + STATUS_ + '\'' +
                ", IS_DELE_='" + IS_DELE_ + '\'' +
                ", CREATED_BY='" + CREATED_BY + '\'' +
                ", CREATE_TIME_=" + CREATE_TIME_ +
                ", URI='" + URI + '\'' +
                '}';
    }
}
